APIReferenceSettings
Read the industry profile
The organization industry profile with personas and products.
The organization industry profile with personas and products.
Authorization
bearerAuth AuthorizationBearer <token>
A Supabase Auth user access token for the signed-in SignalDock user, sent as Authorization: Bearer <token>. Paste one from a signed-in session, or obtain one through the oauth2 scheme; the API accepts either.
In: header
Query Parameters
organizationId*string
Format
uuidResponse Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/settings/industry-profile?organizationId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "profile": { "id": "aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa", "organization_id": "33333333-3333-4333-8333-333333333333", "key": "string", "name": "string", "description": "string", "proposition_text": "string", "created_at": "2026-09-15T12:00:00.000Z", "updated_at": "2026-09-15T12:00:00.000Z" }, "personas": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "industry_profile_id": "6b5134cb-0e0a-4fa2-acd5-d44a82c05b85", "segment": "string", "title_keywords": [ "string" ], "priority": 0 } ], "products": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "industry_profile_id": "6b5134cb-0e0a-4fa2-acd5-d44a82c05b85", "key": "string", "name": "string", "description": "string", "fit_keywords": [ "string" ] } ]}